Bug Hunting Session
Bug 113912 - UI Leaving dialog open prevents docking sidebar in another window
Summary: UI Leaving dialog open prevents docking sidebar in another window
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar
  Show dependency treegraph
 
Reported: 2017-11-18 09:00 UTC by Emil Tanev
Modified: 2018-11-19 03:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2017-11-18 09:00:21 UTC
Open two instances of Calc on a machine where email client has not been configured
In one of them, send the document via email
You get a stopping warning message saying that the email client has not been configured - leave that opened
Go to the other Calc document
Undock the sidebar
Now click the top right button (settings) and try to Dock it
Issue: It is not possible to Dock it while the warning message is opened

https://www.screencast.com/t/Ni45fCvH
Comment 1 Emil Tanev 2017-11-18 09:15:28 UTC
Version: 6.0.0.0.alpha1+ (x64)
Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Locale: ja-JP (ja_JP); Calc: group
Comment 2 Emil Tanev 2017-11-18 09:19:39 UTC
This also happens with other  windows left open, such as the About window. 
It also prevents navigating between different types of LibreOffice documents, e.g. between drawings and documents.
Comment 3 Aron Budea 2017-11-18 16:59:59 UTC
Confirmed. It's hard to say how modal dialogs should work exactly, I could imagine them preventing access to other windows as well, but they don't, so why shouldn't docking the sidebar work?

Version: 6.0.0.0.alpha1+
Build ID: 318f2c9ad00b0cea709d135eff11809fdd27633f
CPU threads: 16; OS: Windows 6.1; UI render: default; 
Locale: hu-HU (hu_HU); Calc: CL
Comment 4 QA Administrators 2018-11-19 03:39:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug